Name:		jdbm
Version:	1.0
Release:	%mkrel 8
Summary:	Transactional Persistence Engine
Group:		Development/Java
License:	BSD
Url:		http://jdbm.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/jdbm/%{name}-%{version}-src.zip
Source1:	http://repo1.maven.org/maven2/jdbm/jdbm/%{version}/%{name}-%{version}.pom

BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	junit

Requires:	java-headless
Requires:	jpackage-utils

%description
JDBM is a transactional persistence engine for Java.
It aims to be for Java what GDBM is for Perl, Python, C,
etcetera: a simple persistence engine that is lightweight
and fast.

%package	examples
Summary:	Examples for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description    examples
This package contains examples for %{name}.

%package	javadoc
Summary:	Javadocs for %{name}
Group:		Documentation

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jdbm-%{version}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

cat > VERSION <<EOF
version=%{version}
EOF

for file in src/main/jdbm/btree/BTree.java \
	src/examples/FamousPeople.java; do \
	native2ascii -encoding UTF8 $file $file
done

%build
%ant -f src/build.xml main examples tests jar javadoc

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}

install -pm 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/examples
cp -pr src/examples/* %{buildroot}%{_datadir}/%{name}/examples
cp -pr build/examples/* %{buildroot}%{_datadir}/%{name}/examples

%files -f .mfiles

%files examples
%{_datadir}/%{name}/

%files javadoc
%{_javadocdir}/%{name}/


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0-8.mga6
+ Revision: 952189
- Mageia 6 Mass Rebuild

* Tue Jan 20 2015 daviddavid <daviddavid> 1.0-7.mga5
+ Revision: 811631
- use .mfiles generated during build
- fix Group
- remove no longer needed %%post and %%postun for maven_depmap

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 746442
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-5.mga5
+ Revision: 726583
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 680755
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 521035
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 1.0-2.mga3
+ Revision: 388389
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 gil <gil> 1.0-1.mga2
+ Revision: 164011
- imported package jdbm

